<?php
/**
 * DokuWiki bethico Template
 * (c) 2014-2019, Bernard Condrau
 */
class condition_plugin_custom_tester extends condition_plugin_base_tester {

	function test_league($b, &$bug, $lop=false) {

		if($lop) return array('\=\=?', 'eq', '\!\=', 'neq?');
		$value = isset($_REQUEST['league']) ? $_REQUEST['league'] : '';
		switch($b['test']) {
			case '=' :
			case 'eq' :
			case '==' :
				return $value == $b['value'];
				break;
			default:
				$bug = true;
				return false;
		}
	}
	function test_member($b, &$bug, $lop=false) {

		if($lop) return array('\=\=?', 'eq', '\!\=', 'neq?');
		$value = isset($_REQUEST['league']) ? $_REQUEST['league'] : '';
		switch($b['test']) {
			case '=' :
			case 'eq' :
			case '==' :
				return $value == $b['value'];
				break;
			default:
				$bug = true;
				return false;
		}
	}
	function test_frames($b, &$bug, $lop=false) {

		if($lop) return array('\=\=?', 'eq', '\!\=', 'neq?');
		$value = isset($_REQUEST['league']) ? $_REQUEST['league'] : '';
		switch($b['test']) {
			case '=' :
			case 'eq' :
			case '==' :
				return $value == $b['value'];
				break;
			case '!=' :
				return $value != $b['value'];
				break;
			case '>' :
				return $value > $b['value'];
				break;
			case '<' :
				return $value < $b['value'];
				break;
			default:
				$bug = true;
				return false;
		}
	}
}