<?php
/**
 * DokuWiki bethico Template
 * (c) 2014, Bernard Condrau
 * 
 * DokuWiki Media Manager Popup
 * 
 */
// must be run from within DokuWiki
if (!defined('DOKU_INC')) die();
@require_once(dirname(__FILE__).'/tpl_functions.php'); /* include hook for template functions */
header('X-UA-Compatible: IE=edge,chrome=1');

echo '<!DOCTYPE html>';
echo '<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="'.$conf['lang'].'" lang="'.$conf['lang'].'" dir="'.$lang['direction'].'" class="popup no-js">';
echo '<head>';
	echo '<meta charset="UTF-8" />';
	echo '<title>'.hsc($lang['mediaselect']).'['.strip_tags($conf['title']).']</title>';
	echo '<script>(function(H){H.className=H.className.replace(/\bno-js\b/,\'js\')})(document.documentElement)</script>';
	tpl_metaheaders();
	echo '<meta name="viewport" content="width=device-width,initial-scale=1" />';
	echo tpl_favicon(array('favicon', 'mobile'));
	tpl_includeFile('meta.html');
echo '</head>';

echo '<body>';
	echo '<!--[if lte IE 7 ]><div id="IE7"><![endif]--><!--[if IE 8 ]><div id="IE8"><![endif]-->';
	echo '<div id="media__manager" class="'.tpl_classes().'">';
		html_msgarea();
		echo '<div id="mediamgr__aside"><div class="pad">';
			echo '<h1>'.hsc($lang['mediaselect']).'</h1>';
			// keep the id! additional elements are inserted via JS here
			echo '<div id="media__opts"></div>';
			tpl_mediaTree();
		echo '</div></div>';
		echo '<div id="mediamgr__content"><div class="pad">';
			tpl_mediaContent();
		echo '</div></div>';
	echo '</div>';
	echo '<!--[if ( lte IE 7 | IE 8 ) ]></div><![endif]-->';
echo '</body>';
echo '</html>';
