<?php
/*
 * DokuWiki bethico Template
 * (c) 2014-2020, Bernard Condrau
 * 
 * based on starter template, http://dokuwiki.org/template:starter, Anika Henke <anika@selfthinker.org>
 * based on m1 template, http://www.dokuwiki.org/template:m1, Eric Howey <ehowey@gmail.com>, 2014-1-25
 * based on dokuwiki template, http://www.splitbrain.org, Andreas Gohr <andi@splitbrain.org>
 * dokuwiki, Anika Henke <anika@selfthinker.org>
 * FontAwesome, http://fontawesome.io/, Dave Gandy, http://twitter.com/davegandy
 * @license  GPL 2 (http://www.gnu.org/licenses/gpl.html)
 */
// must be run from within DokuWiki
if (!defined('DOKU_INC')) die();

switch ($tpl_bethico_identity) {
	case 'bco':
		define('BETHICO_OWNER_COPYRIGHT','<a href="https://www.condrau.com" target="_blank">Bernard Condrau</a>');
		define('BETHICO_USER_COPYRIGHT','');
		define('BETHICO_WIKI_COPYRIGHT','<a href="https://www.dokuwiki.org/dokuwiki" target="_blank">DokuWiki</a>');
		define('BETHICO_START_YEAR', 2007);
		break;
	case 'bethico':
		define('BETHICO_OWNER_COPYRIGHT','<a href="http://www.bethico.com" target="_blank">Bethico</a> & ');
		define('BETHICO_USER_COPYRIGHT','<a href="http://www.condrau.com" target="_blank">Bernard Condrau</a>');
		define('BETHICO_WIKI_COPYRIGHT','<a href="https://www.dokuwiki.org/dokuwiki" target="_blank">DokuWiki</a>');
		define('BETHICO_START_YEAR', 2010);
		break;
	case 'isa':
		define('BETHICO_OWNER_COPYRIGHT','<a href="https://www.condrau.com" target="_blank">Bernard Condrau</a> & ');
		define('BETHICO_USER_COPYRIGHT','<a href="https://isa.condrau.com" target="_blank">Isabel Condrau</a>');
		define('BETHICO_WIKI_COPYRIGHT','<a href="https://www.dokuwiki.org/dokuwiki" target="_blank">DokuWiki</a>');
		define('BETHICO_START_YEAR', 2020);
		break;
	default:
		define('BETHICO_OWNER_COPYRIGHT','<a href="https://www.condrau.com" target="_blank">Bernard Condrau</a>');
		define('BETHICO_USER_COPYRIGHT','');
		define('BETHICO_WIKI_COPYRIGHT','<a href="https://www.dokuwiki.org/dokuwiki" target="_blank">DokuWiki</a>');
		define('BETHICO_START_YEAR', date('Y'));
		break;
}
