<?php
/**
 * DokuWiki bethico Template
 * (c) 2020, Bernard Condrau
 * 
 * FontAwesome 5 icon definitions
 */
// must be run from within DokuWiki
if (!defined('DOKU_INC')) die();

global $bethico_icons;

// template language entries
$bethico_icons['about']		= '<i class="fas fa-info fa-fw"></i>';
$bethico_icons['bethico']	= '<p class="png-bethico"><img src="'.tpl_basedir().'images/font-bethico-white.png"></p>';
$bethico_icons['todo']		= '<i class="fas fa-clipboard-list fa-fw"></i>';
$bethico_icons['changelog']	= '<i class="fas fa-plus fa-fw"></i>';
$bethico_icons['documentation']	= '<i class="far fa-file-alt fa-fw"></i>';
$bethico_icons['helpcenter']	= '<i class="fas fa-clinic-medical fa-fw"></i>';
$bethico_icons['home']		= '<i class="fas fa-home fa-fw"></i>';
$bethico_icons['howtos']	= '<i class="far fa-thumbs-up fa-fw"></i>';
$bethico_icons['information']	= '<i class="far fa-copy fa-fw"></i>';
$bethico_icons['knowhow']	= '<i class="fas fa-graduation-cap fa-fw"></i>';
$bethico_icons['leagues']	= '<i class="fas fa-trophy fa-fw"></i>';
$bethico_icons['league']	= '<p class="png-bethico"><img src="'.tpl_basedir().'images/font-bethico-white.png"></p>';
$bethico_icons['vinyl']		= '<p class="png-bethico"><img src="'.tpl_basedir().'images/font-vinyl-white.png"></p>';
$bethico_icons['build']		= '<p class="png-bethico"><img src="'.tpl_basedir().'images/font-build-white.png"></p>';
$bethico_icons['legal']		= '<i class="fas fa-balance-scale fa-fw"></i>';
$bethico_icons['login']		= '<i class="fas fa-sign-in-alt fa-fw"></i>';
$bethico_icons['registered']	= '<i class="far fa-id-badge fa-fw"></i>';
$bethico_icons['reserved']	= '<i class="fas fa-user-lock fa-fw"></i>';
$bethico_icons['support']	= '<i class="fas fa-tools fa-fw"></i>';
$bethico_icons['user']		= '<i class="fas fa-user fa-fw"></i>';
$bethico_icons['translation']	= '<i class="fas fa-language fa-fw"></i>';

// buttons
$bethico_icons['privacy']	= '<i class="fas fa-user-shield"></i>';
$bethico_icons['notice']	= '<i class="fas bethico-imprint"></i>';

// built in
$bethico_icons['btn_admin']	= '<i class="fas fa-sliders-h fa-fw"></i>';
$bethico_icons['btn_edit']	= '<i class="far fa-edit fa-fw"></i>';
$bethico_icons['btn_index']	= '<i class="fas fa-sitemap fa-fw"></i>';
$bethico_icons['btn_login']	= '<i class="fas fa-sign-in-alt fa-fw"></i>';
$bethico_icons['btn_logout']	= '<i class="fas fa-sign-out-alt fa-fw"></i>';
$bethico_icons['btn_media']	= '<i class="fas fa-photo-video fa-fw"></i>';
$bethico_icons['btn_profile']	= '<i class="far fa-address-book fa-fw"></i>';
$bethico_icons['btn_recent']	= '<i class="fas fa-history fa-fw"></i>';
$bethico_icons['btn_register']	= '<i class="fas fa-address-book fa-fw"></i>';
$bethico_icons['btn_revert']	= '<i class="fas fa-undo fa-fw"></i>';
$bethico_icons['btn_revs']	= '<i class="far fa-copy fa-fw"></i>';
$bethico_icons['btn_show']	= '<i class="far fa-eye fa-fw"></i>';
$bethico_icons['btn_backlink']	= '<i class="fas fa-link fa-fw"></i>';
$bethico_icons['btn_subscribe']	= '<i class="fas fa-file-signature fa-fw"></i>';
$bethico_icons['btn_top']	= '<i class="fas fa-arrow-up fa-fw"></i>';
$bethico_icons['btn_create']	= '<i class="fas fa-edit fa-fw"></i>';
$bethico_icons['btn_draft']	= '<i class="fas fa-pencil-ruler fa-fw"></i>';
$bethico_icons['btn_source']	= '<i class="fas fa-file-signature fa-fw"></i>';

// plugins
$bethico_icons['btn_export_pdf']= '<i class="fas fa-file-pdf fa-fw"></i>';
$bethico_icons['btn_twofactor_profile']= '<i class="fas fa-unlock-alt fa-fw"></i>';
